Bug 1414914 - When defining hostgroup, content host should inherit Puppet Environment from it.
Summary: When defining hostgroup, content host should inherit Puppet Environment from it.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Host Group
Version: 6.2.6
Hardware: x86_64
OS: Linux
high
high
Target Milestone: Unspecified
Assignee: Kavita
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
: 1421832 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 17:33 UTC by Waldirio M Pinheiro
Modified: 2021-03-11 14:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18478 0 Normal Rejected When defining hostgroup, content host should inherit Puppet Environment from it 2020-05-15 16:13:41 UTC

Description Waldirio M Pinheiro 2017-01-19 17:33:46 UTC
Description of problem:
When defining hostgroup on one specific content host, we should be able to see the hostgroup and puppet environment defined *puppet environment via inherit*. Actually to manager content hosts and point to one specific host group, we need to do two steps, the first one is define the host group, the second one is define the puppet environment, imho if we define the puppet env on hostgroup, this should be inherit automatically.

Version-Release number of selected component (if applicable):
6.2.6

How reproducible:
100

Steps to Reproduce:
1. Define the hostgroup with the puppet environment information.
2. Hosts - All hosts - Select the content host - Select Action - Change Group - Select the host group


Actual results:
The puppet environment is not defined, so the client will not be able yet to receive puppet modules

Expected results:
define puppet environment and everything work like a charm.

Additional info:
Adding the link to sample video.

Comment 3 pm-sat@redhat.com 2017-02-13 15:06:40 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 5 pm-sat@redhat.com 2017-02-15 05:06:50 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18478 has been resolved.

Comment 6 Brad Buckingham 2017-03-17 12:02:38 UTC
*** Bug 1421832 has been marked as a duplicate of this bug. ***

Comment 10 Kedar Bidarkar 2017-09-04 15:19:01 UTC
1) Added puppet environment "production" to hostgroup "rhel7grp"
2) Assign this hostgroup to host "rhel7host"
3) observe that the puppet environment is "production" 
4) Now changed the puppet environment to "kbidarka" in the hostgroup
5) Edited host and clicked the inherit button next to puppet environment
6) submitted form
7) Now from the UI it shows the puppet environment as "kbidarka"

VERIFIED with Sat630-snap14.0

Comment 13 Kavita 2017-10-26 10:02:20 UTC
As mentioned above, behaviour of inheriting puppet env from hostgroup will be available in 6.3.
For sat 6.2, I think the only way is to explicitly update correct puppet env for host. 
If it is not working as expected, please feel free to add your observations.

Comment 14 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.